Subject: bug#61350: Eglot over Tramp freezes with large project

From: João Távora <[email-masked]>
Date: Wed, 1 Mar 2023 11:37:36 +0000

On Wed, Mar 1, 2023 at 11:23 AM Gregory Heytings <[email-masked]> wrote:

> Are you sure that this patch actually turns ControlPersist on?

>From Tramp's debug log.

11:34:29.869596 tramp-maybe-open-connection (3) # Sending command
‘exec ssh -l sshuser -p 2022 -o ControlMaster=auto -o
ControlPath=tramp.%C -o ControlPersist=yes -e none localhost’
11:34:29.869679 tramp-send-command (6) # exec ssh -l sshuser -p 2022
-o ControlMaster=auto -o ControlPath=tramp.%C -o ControlPersist=yes -e
none localhost
11:34:29.869814 tramp-process-actions (3) # Waiting for prompts from
remote shell...

> I would try to add a section like in my .ssh/config.

You can try your own experiments if you follow my Docker-based MRE.

João